Skip to content
Esc
↑↓navigate↵open⌘Jpreview

Get customer group

Gets a single customer group.

GET/api/v2/{team_slug}/{app_slug}/customer-groups/{customer_group_id}
Authorization
AuthorizationBearer token · headerrequired

Management API token, sent as Authorization: Bearer <token>.

Path parameters
team_slugstringrequired
app_slugstringrequired
customer_group_idstring<uuid>required
Responses
200

OK

dataCustomerGrouprequired
Show properties
idUUIDrequired
app_idUUIDrequired
store_group_idUUIDrequired
namestringrequired
slugstringrequired
typestringrequired
discount_percentageinteger | null
discount_percentage_decimalsinteger | null
created_atstring<date-time>required
updated_atstring<date-time>required
400

Request-level failure

errorErrorBodyrequired
Show properties
messagestringrequired
detailsstring[]required
401

Request-level failure

errorErrorBodyrequired
Show properties
messagestringrequired
detailsstring[]required
403

Request-level failure

errorErrorBodyrequired
Show properties
messagestringrequired
detailsstring[]required
404

Request-level failure

errorErrorBodyrequired
Show properties
messagestringrequired
detailsstring[]required
500

Request-level failure

errorErrorBodyrequired
Show properties
messagestringrequired
detailsstring[]required
Try it
Server
Authorization
Parameters
Request
curl -X GET 'https://api.enad.io/api/v2/string/string/customer-groups/497f6eca-6276-4993-bfeb-53cbbbba6f08' \
  -H 'Authorization: Bearer YOUR_TOKEN' \
  -H 'Accept: application/json'
Response
{
  "data": {
    "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
    "app_id": "affd1d10-9538-4fc8-9e0b-4594a28c1335",
    "store_group_id": "6c760e36-a704-4b09-93bb-c191a46ca67f",
    "name": "string",
    "slug": "string",
    "type": "string",
    "discount_percentage": 0,
    "discount_percentage_decimals": 0,
    "created_at": "2019-08-24T14:15:22Z",
    "updated_at": "2019-08-24T14:15:22Z"
  }
}